.netLIVEHELP

Navigation: »No topics above this level«

.netLIVEHELP

 Return to chapter overview

Welcome to .netLIVEHELP. Please see the overview.


Overview

Overview of .netLIVEHELP

Navigation: .netLIVEHELP >

Overview of .netLIVEHELP

 Return to chapter overview

Learn more about .netLIVEHELP at our web site.

.netLIVEHELP consists of 3 major components:, a web browser based client chat interface which end users use to chat to operators and request help, a server component which handles communication between the chat systems and the chat database, and an operator console (desktop application) that chat operators use to help people on the web site using person to person real-time chat.

All three components are included with a .netLIVEHELP license purchase and there are no limits placed on the number of operators or customers that can use the system. The license allows you to provide live help services for the web site address you purchase a license for.

NEW: MailTicket functionality. Learn more. NEW: KnowledgeBase functionality. Learn more.


Features

Navigation: .netLIVEHELP >

Features

 Return to chapter overview

General Features:

· Unlimited operators
· Unlimited departments
· Unlimited client chats
· No monthly or service fees (outside of your regular hosting account)
· Simple wizards for adding live help buttons to your site
· Ability to configure operating hours for each day or as fixed hours
· Hours can be set independently on a per department basis
· Automatically transfer chat requests to the next available operator if an operator does not answer for any reason
· If no operators are available a "leave a message" form is provided
· You may customize the leave a message link to direct to any web page if you have existing infrastructure in place for such cases (email, web based systems).
· You can configure an automatic logout such that the operator is automatically logged out after x number of missed chats to ensure that future chats are not routed to the non responsive operator.
· Intelligent request assignment routes new chat requests to the operators with the least number of active requests. Administrators can assign the maximum number of concurrent chat requests a given operator can handle which is also taken into consideration by the load balancing algorithm.
· Independent of loading and skill assignments, the system will always route a new chat request to an operator without any current chats and assign new requests to the operator who has the least recent activity for load balancing purposes.
· In addition to the chat button you can obtain, using a simple wizard, tracking links to include in your pages which will provide additional information on the user including the path and pages viewed in the site.
· Statistics on departments and operators are available to evaluate operator performance.
· Ability to control leave a message behavior to not link when live chat is not available, to link to the leave a message form, or to link to any page or site.
· Chat image buttons can be defined on a per department basis for 3 states including: open chat, leave a message and closed chat.
· Chat buttons support an optional second image per state for mouse over handling and display when the mouse is hovered over the button automatically.
· Text links are supported in place of chat buttons with style support to customize the link appearance
· Missed message handling enables a customer to leave a message if no operator is available through the provided admin customized form or for the customer to be linked to any other system. You may also control if a leave a message option is provided when chat is closed. Finally the administrator can configure if a session is marked as missed if no message is left or not.

Mail Ticket Features:

· In addition to real-time live support, .netLIVEHELP support suite has an optional add-on for mail ticket handling. This robust system is simple to configuration and requires little configuration. The primary interface for interacting with the system is your favorite mail client however don't let the simple interface fool you, this is a sophisticated system for mail system with advanced routing, edit rules and stickiness settings.
· Ability to reformat reply to parts of email messages to correctly reference the appropriate agent or department. For example, if the customer sends to the department and the agent replies, they are replying to the agent not the customer directory so full message tracking and storage is maintained. However, to avoid customer confusion, if the operator leaves that sequence in place, it will be seamlessly updated to show as if the operator directly received the request from the customer (for the original message / address section).
· Load balancing assignment based on operator quotas for relative assignation, more experienced operators can handle more requests for efficient load levels.
· Stickiness settings provide comprehensive options for ticket assignment including locking all future requests to the assigned operator, prioritizing the operator with the most responses on the ticket and prioritizing the operator with the last response on the ticket. A customizable timeout enables administrator to determine the appropriate amount of time before stickiness settings are ignored and the message is routed to the next available operator.
· Multiple department support, independent departments can each have their own email address and respond to a group of operators assigned to one or more departments.
· Multi-threaded operation for mail sending, receiving and assignments
· Console interface enables listing of active and closed tickets as well as closing open tickets or transferring a ticket from one operator to another
· Intelligent handling to prevent reassigned tickets from being double responded. If an operator due to lack of response has a ticket reassigned but still responds with their mail client, they will be warned and the message not delivered, however if they still want to send it, a second send will result in the message being delivered.
· Enter conversation thread of any ticket can be viewed through the console
· Autoresponder system enables instant feedback to customers so they can be sure their message was received and have on record the ticket number should they need to make future inquiries or cancel the ticket.

Client (browser) chat interface:

· Advanced AJAX chat interface without postback or flashes
· Works intuitively like MSN and other chat systems clients may be familiar with for line feed handling and supports message submit on enter
· Downlevel browser supports ensures a functional chat interface is rendered for those clients using older browsers that do not support new AJAX features
· Support for IE, Firefox, Mozilla, Netscape, Opera and Safari.
· Ability for client to print or email chat transcripts. Email chat transcript supports token support and custom formatting from the operator console.
· clients can view images inline within the chat system
· clients can get files through the chat interface
· Admin customizable form for pre-chat registration
· Customer can rate chat (optional feature if enabled by admin) at any time during the chat by clicking on the stars (1 to 10)
· Customer can view operator picture if defined in greeting message
· Admin customizable form for leave a message form should no operators be available to chat
· Inline and automatic thumbnail support for images (linked to full size version). Operator can easily send files or images to clients.

Operator Console

· Tray icon to indicate status
· taskbar balloon tip to notify of new chat requests
· Real-time spell check with custom dictionary and r-click context menu for corrections
· Option to minimize application to tray automatically so limited taskbar space is not taken
· sound notification for new chat request
· flashing window to notify of new chat request
· Operator auto logout if admin configurable number of assigned chats are missed
· Notification of logout with blinking taskbar so operator is away of any automated logout
· Ability for admin user to view a summary of all operators along with current chat status count. Admin user may also logout any operator.
· Operator to operator chat enables operators to get instant assistance with other operators independent of their client chats.
· Canned messages can be defined at 3 levels: global, department and operator. Operator level canned messages are specific to that operator.
· Operators can manage images and files uploaded to the system.
· Operators can respond to missed chats via email within the .netLIVEHELP system including template support
· Mail server configuration (SMTP mail sends) with specific reply to address and authenticated SMTP settings set globally, at the department level or for individual operators enables flexible addressing. The most specific mail settings available will automatically be used.
· Operator can customize the appearance and font and date inclusion for the chat messages to suit their needs (operator specific setting).
· Ability to remember last login name
· Proactive chat is supported with time based triggers so a customer waiting x period of time on a given page could auto initiate a chat that would be handled by the operator pool the same as if the customer had initiated it. The operator can then determine the reason for the proactive chat and ask a question that is suitable such as "Please let us know if you need any assistance with order completion."
· Proactive chat is supported based on paths or page request chains. For example a customer viewing a product page, then a pricing page then the order page. High value leads can be used for auto initiated chats to ensure the sale is completed by an operator.
· Proactive chat canned messages enable customized greeting messages for proactive chat or even individual messages on a per proactive chat trigger.
· Operators can initiate chats in addition to customers requesting chat through a livehelp button.
· Operators can deny chats (customer is notified the operator is unavailable. In addition operators can decline a chat (for example if they are on the phone and too busy to handle the request). With a decline the request is put back into the pool and assigned to another operator. The administrator can control if deny and/or decline are exposed as options for operators.
· Sessions list setting to display sessions past a specific date.
· Admin operator may view status of all live chat sessions by operator to see how many active chats each operator is handling and they can drill down into any active chat to view the chat live as it occurs.
· Separate roles for administrator and regular operators with different sets of options for each.
· Supports data exchange between a deployed web application and the operator console enabling viewing and editing of data within the web application. For example advanced integration with the .netCART shopping cart allows for viewing and editing of a customer's shopping cart from the operator console interface to further assist them.
· Inline autocomplete for canned messages enables you to type %cannedmessagename and have it replaced by the named canned message string. You can then edit it before sending or send the canned message as is. If the canned message contains tokens they will also be replaced.
· Autocomplete for tokens within the chat interface are also supported such as %customeremail or %operatorname
· Complete Language customization of the operator console for changing strings to your own preference or changing for usage in another language through a simple to use menu listing.
· Role and permission management enable operators to have restricted permissions or abilities.

Server Component

· Supports xcopy deployment for easy installation (FTP files and run, no installer is required)
· Supports medium trust for use on shared hosting providers supporting ASP.NET 2.0
· Scalable web service implementation supports multiple database backends for communication and message storage including MS Access, MS SQL Server, MySQL and Oracle.
· Unlimited number of chat requests and operators within the system
· Independent timeouts can be set for inactive customer and inactive operator (the amount of time that without any chat submission the chat session will be considered abandoned by the operator or client.
· A time can be set for when a new request is considered unanswered. It means that if assigned to an operator and not answered within x seconds it will return a response that no operators are available and provide an option to leave a message.
· Optionally, the system can automatically transfer the request to the next available operator to answer to ensure the customer gets a prompt live chat so long as there is another available operator logged into .netLIVEHELP.
· Integrated cookie tracking provides customer tracking and logging if cookies are accepted for return customer visits.
· Comprehensive data exchange API enabling you to interface with your web application, independent of .netLIVEHELP, and have the operator console view / edit data from your application.
· Ability to customize strings for the web interface using the console application for internationalization (changing language) or simply modifying the current English values.


What's New

Navigation: .netLIVEHELP >

What's New

 Return to chapter overview

.netLIVEHELP Version History:

Version 4.1 [9/27/2016]:

· Support sending mail though TLS and STARTTLS
· Azure web application deployment support
· Enhanced customers’ shopping cart display

Version 4.0 Update [4/1/2016]:

· NEW Missed mail email forwarding
· NEW MS Access *.accdb support
· fixed closing chat window requests after leaving a message without operator response

Version 3.9 Update [7/6/2015]:

· Handling invalid chars for xml serialization
· NEW .netDATA support for SQL usage in azure

Version 3.8 Update [8/22/2014]:

· Updated default email handling
· Updated documentation

Version 3.7 Update [2/14/2014]:

· Allow modifying name in chat dialog
· fixed display time for mail ticket

Version 3.6 Update [2/18/2013]:

· Show disable chat button when there is an active operator
· Show “Connecting to operator….” Message constantly
· Messages are not sent to operator if they are the same as previous one.

Version 3.5 Update [7/6/2012]:

· Show correct greeting after chat transfer

Version 3.4 Update [4/4/2012]:

· Automatic domain entry for AD user selection
· Operator password update

Version 3.3 [6/22/2010]

· [NEW] KnowledgeBase support
· [NEW] credit / edit KB articles through the operator console
· [NEW] web based interface for viewing kb articles by category / tag
· [NEW] ability to search for articles from the web interface

Version 3.2 [11/17/09]

· [NEW] Additional token support including tokens for original body, original body quoted, operator, customer and more
· [NEW] SSL support for email, support email servers that require SSL and authentication
· [FIX] Department tab alignment and sizing
· [FIX] Autoresponder address

Version 3.1 [11/2/09]

· [NEW] Mail ticket autoresponder support with template support for both subject and body
· [NEW] Console supported on Windows 7 and server tested on WS2008 R2
· [NEW] Ability to license .netLIVEHELP Mail Ticket independently from .netLIVEHELP Support Chat.
· [UPDATED] filtering interface to show Active Directory objects sooner in cases of large databases (10,000+ objects)

Version 3.0 [8/3/09]

· [NEW] Optional seamlessly integrated MailTicket functionality. This is a very significant dedicated mail support system available as an add-on or part of the .netLIVEHELP Support Suite bundle. Learn more.

Version 2.9 [5/14/09]

· [NEW] Ability to dock multiple chats in the tab UI docking interface.
· [UPDATED] JS pathing and size
· [FIX] Installer handling on IIS6
· [FIX] AJAX handling Opera/Firefox for chat button dynamic refresh
· [FIX] IE 8 specific issues

Version 2.8 [4/21/09]

· [NEW] View missed sessions privilege enables control per operator if users can view missed session details.
· [FIX] Install over old version now replaces old files after uninstall for console deployment.
· [FIX] Per department leave a message now limited to each department except for administrative users.

Version 2.7 [9/16/08]

· [NEW] Localization help option replaces all strings with their token names so you can easily determine which value you need to modify to change a given string in the operator console. .netLIVEHELP supports simple language customization through the console GUI.
· [FIX] Installer issues on different system configurations

Version 2.7 [8/11/08]

· [NEW] Logoff option (shows login form to allow logging in as a different user.
· [NEW] Confirmation prompt for logoff / exit to prevent accidentally closing the console
· [NEW] Console GUI handling, now single exe deployment with no external dll dependencies and smaller distribution size
· [FIX] New chat start issues in rare circumstances.
· [FIX] Issue on some Windows 2000 IE6 installs with AJAX chat
· [FIX] Operator photo token regression error
· [FIX] Department selection through pre-registration form
· [FIX] Operator chat reassign to department fail over on no answer

Version 2.6 [7/10/08]

· [NEW] Roles and privileges system enables limited access console users. For example an user could be granted access to reports only or an operator may be given the ability to decline or deny chat requests using roles.
· [NEW] Missed chat redirect now supports an option to control if it redirects in a new window or not (from chat button).
· [NEW] x64 support. .netLIVEHELP will detect if it is running on x64 (which does not support Access / JET) and enable setting the database settings (SQL server, Oracle and MySQL may also be used).

Version 2.5 [6/2/08]

· [NEW] Updated database integration layer
· [FIX] Authentication prompt removed if AD login match
· [FIX] Web language update support for page titles fixed

Version 2.4.5 [5/12/08]

· [NEW] UAC supported on Vista for console app deployment
· [NEW] Custom authentication integration support. Now if you have an established system for authentication in your site for example using asp.net forms authentication or any other means you can now prevent users from having to complete preregistration programmatically while still ensuring user details are available to operators through the info menu. For usage please see the customauthentication.aspx sample.
· [NEW] supports multiple independent configuration settings supporting multiple console deployments for a single machine (for operators servicing more than one unique site).
· [NEW] Beta proxy support for operator console with the following dotnetLIVEHELP.exe.config setting options. See support, frequent questions for options and usage details.
· [CHANGE] Default max sessions for new users is now 3.
· [FIX] Proactive chat session management. Now proactive chats will trigger only once per session in the case of time triggered chats of short duration.

Version 2.4 [4/25/08]

· [NEW] The tracking list now automatically updates every 5 seconds without the need to click on update.
· [NEW] Operator initiated chat now supports initial message so the user getting chat initiated has the first message / question immediately.
· [NEW] Options for popup handling for operator initiated chat: popup only, popup with failover to div prompt, and always prompt.
· [NEW] Canned message type for operator initiated messages enables a custom greeting for that case.
· [NEW] Custom membership provider integration enables population of name / email and other values from your existing membership framework. When provider, users are not prompted for this information again.
· [NEW] Skip registration option. If you don't want your users to be forced to register (provider name / email etc) they can instead directly see the chat window.
· [NEW] Remember me option for console enables you to set username and just enter password and also to remember password for easier login.
· [NEW] Ability to specify the font for the operator composition window.
· [NEW] Leave a message form prepopulates for customers previously registered
· [NEW] Date range options for displaying old chats now can be configured on a per tab basis
· [NEW] Maximum message length setting (defaults to 4000 characters)
· [FIX] Updates for images / files list behavior to be in sync. Operators will see own images / files only and admin will see all images / files.
· [FIX] Issue with windows 2000 IE6 users in AJAX chat interface.
· [FIX] Lookup when AD server not present error dialog.
· [FIX] If customer declines operator initiated chat icon reverts to non request state to indicate chat was not accepted.

Version 2.3 [1/30/08]

· [NEW] New chat tray balloon notification now leads to the new session list when clicked
· [NEW] Beta feature: Active Directory support: now you can add users from active directory. If an user is added, the client does not need to login (they will automatically login based on their AD credentials.
· [NEW] Offline reminder. If an operator is logged out (for inactivity, missing chats or any other reason, they are now notified with a balloon notification and can click on that notification to change their status back to active.
· [NEW] Client chat (browser) close button option. In addition to being able to close the browser window using the windows X button, users can also use the close chat button if enabled by the administrator.
· [NEW] Page title and image customization through the operator console. Previously admin users needed to modify the aspx page to customize title / image headers for a given client (browser) page. Now they can customize these options easily with the console application.
· [FIX] Hitting finish from a current tab did not warn about terminating an active chat and now does.
· [FIX] Statistics user link to user details now opens the correct form.

Version 2.2 [11/5/07]

· [NEW] Console auto reconnect support if server connection is lost (e.g. IIS is restarted, application pool recycles, or there is an internet connectivity problem to the server)
· [NEW] Tracking now supports cookie matching for 1:1 user display
· [NEW] Tracking options for console, console settings, tracking include options for number of tracking records to display and the ability to filter displays based on requests active within x minutes.
· [FIX] Script wizard output tags generically formatted to support addition browsers
· [NEW] Proactive chat and operator initiated chat now automatically detect popup blocking and implement a div based chat request to ensure the user is presented with an option to chat in these cases.

Version 2.1 [10/16/07]

· [NEW] AJAX update with caching for enhanced performance
· [NEW] Proactive chat interval checking now admin configurable
· [NEW] Image thumbnails are now supported for indexed images (e.g. gif)
· [UPDATED] Database layer for Access, SQL, Oracle, and MySQL.
· [FIX] Non admin users can no longer change their decline / deny settings.

Version 2.0 [8/1/07]

· [NEW] Real-time spell check for operator console with custom dictionary and r-click context menu
· [NEW] Operator is typing notification lets customer know that the operator is actively responding. Can be disabled by admin.
· [NEW] Customer is typing notification notifies the operator if a customer is typing. Can be disabled by the admin.
· [NEW] Decline option if operator is busy (e.g. on phone) they can decline a chat and it is placed back in the pool.
· [NEW] Admin option to turn on and off access to deny and decline chats on a per operator basis.
· [NEW] Hours are now supported per department with default affecting all departments
· [NEW] Operator initiated chat can now take place without the customer loading a new page
· [NEW] Chat buttons support text link styles in addition to images
· [NEW] Chat link buttons now support multiple image states you can define a special image for mouse over / hover.
· [NEW] Proactive chat can be auto initiated based on the customers path (page accesses)
· [NEW] Proactive chat can be auto initiated based on time on a given page
· [NEW] If cookies are supported they are used for customer tracking of return visits
· [NEW] Customer history information available from admin
· [NEW] Customer can rate chat after completion and admin can view ratings
· [NEW] Optional representative photo supported with token system can be used in greeting canned reply
· [NEW] Operator monitoring enables admin to view all live chats a current operator is undertaking and to view live a given chat as it happens.
· [NEW] Operator pictures are now supported and can be displayed in tokens within greeting canned messages.
· [Update] Canned message token for %OperatorName now supported
· [NEW] Autocomplete canned message replacement. Now you can type %cannedmessagename and have it automatically replaced in the chat input box with the full canned message string which can then be directly sent or edited and then sent.
· [NEW] Proactive chat canned messages. Enable you to set a specific message for proactive chat or even individual proactive chat triggers. This acts like a custom greeting canned message for proactive chats.
· [NEW] Option to view multiple chats docked in a tabbed interface
· [NEW] GUI added to customize all strings and select culture. Useful for internationalization (other languages) or just changing English strings to suite your preference. String customization can be completed for both the console (desktop) application and strings shown through the web interface.

Version 1.1 [4/23/07]

· [NEW] Custom data exchange support added (now you can expose data from your web application to operators who can both view and edit the data).
· [NEW] .netCART custom cart editing data exchange support. In addition to custom data exchange, a provider for the .netCART Shopping Cart solution has been added providing seamless integration. When both products are in use and configured for data exchange, operators will be able to both view and edit customers carts to better assist them with their shopping. To learn more about .netCART see www.dotnetcart.com.
· [NEW] Support copy / paste from customer information and statistics in the operator console
· [FIX] Validation for required fields and field formatting now both have error strings

Version 1.0 [3/1/2007]

· First release, see features for a more detailed listing of functionality.

Beta Release [1/1/2007]

· Limited release, closed beta


Server

Navigation: »No topics above this level«

Server

 Return to chapter overview

The server is an ASP.NET web service which handles communication between the operator console and client (browser) using a database for data storage. .netLIVEHELP has a flexible database system with support for MS Access (best suited for small or low load sites), MS SQL server, MySQL and SQL Server.


Site Integration

Navigation: Server >

Site Integration

 Return to chapter overview

Integration is supported with chat and tracking code.


Chat buttons

Navigation: Server > Site Integration >

Chat buttons

 Return to chapter overview

Chat buttons are the main interface web site visitors use to initiate chat with an operator. They are defined a small code snippet available from the operator console wizard and can be embedded in any of your site pages.

Chat buttons dynamically change state based on operator status and you can change the images in the operator console.

States include:

Closed: No operators are online or chat is closed.

Open: Operators are online and ready to accept chat.

Message: Operators are not available or chat is closed but you can leave a message.


Tracking

Navigation: Server > Site Integration >

Tracking

 Return to chapter overview

Tracking is a small code snippet you can include in any page in your site. When included you can track and trigger operator initiated chat with a customer as they navigate within your site. The chat buttons act as a tracking device however the tracking code is provided so you can use tracking on pages you don't wish to display the chat buttons on.


Installation

Navigation: Server >

Installation

 Return to chapter overview

System Requirements provides information on the minimum requirements for running .netLIVEHELP.

Instructions provides information on how to install .netLIVEHELP


System Requirements

Navigation: Server > Installation >

System Requirements

 Return to chapter overview

.netLIVEHELP is designed to be used in a web server environment.

Supported Operating System:

· Windows 2000 Server
· Windows XP Professional
· Windows 2000 Professional
· Windows .NET Server

Additional Requirements:

· ASP.NET 2.0 or later
· SQL Server (Optional for high use sites)
· Other databases supported MySQL, Oracle, MS access (default)


Instructions

Navigation: Server > Installation >

Instructions

 Return to chapter overview

.netLIVEHELP can be deployed quickly and easily without any special installation or registration requirements. It will work with a dedicated server, shared server, hosted server etc. so long as the server supports ASP.NET 2.0 - as soon as you copy your files to your web server you can start using .netLIVEHELP!

Installation Options:

The automated MSI installer will deploy the product without any manual install required. If you select the manual install / unpack only option or need to deploy to a remote host you don't have desktop access to run the installer on, please use these steps:

Using a Virtual Directory / deploying locally for testing:

· Unzip distribution
· Place files in any directory you wish
· Using the IIS administration (MMC), create a virtual directory under your web site pointing to the /web directory that contains the .netLIVEHELP samples. Click here for more information on virtual directory creation. This sample assumes you used "livehelp" for the virtual directory name.
· Ensure that your purchase key is located in the /bin directory along with dotnetlivehelp.dll (if using a trial the key will already be located in the /bin)
· You may now use the .netLIVEHELP samples through www.yourdomain.com/livehelp assuming you created a virtual directory called /livehelp. This will show the chat button. (if not see frequent questions).
· Run the operator console and enter the server www.yourdomain.com/livehelp and login with admin/pass to have an operator available to test the chat. Now when you refresh www.yourdomain.com/livehelp you will see a ready to chat button. See detailed operator console installation and usage instructions.

Remote Deployment / Shared hosting installation steps:

· Unzip distribution
· Copy / FTP the contents of the /web directory to a directory of your choice within your web servers root directory. For this example we will deploy these files to the /livehelp directory.
· If you have already purchased a license please ensure your purchase key is copied to the /bin directory, if you are using a trial the key will already be located in the /bin. Please ensure that an application is created on the directory you copied the web files into and that the application is configured for ASP.NET 2.0. Alternatively, you can deploy the contents of the /web directory to your web site root and use the root application which is created by default. If doing a root deployment please confirm your root application is setup for ASP.NET 2.0. Your hosting provider will likely provide a web interface for you to create IIS applications and set file permissions, if there is no such option in your hosting control panel, you may need to email your hosting support to have them configure the application on the /livehelp directory and file permissions.
· You may now use the .netLIVEHELP samples through www.yourdomain.com/livehelp assuming you deployed the /web files to a /livehelp directory within your web root. This will show the chat button (if not see frequent questions).
· Run the operator console and enter the server www.yourdomain.com/livehelp and login with admin/pass to have an operator available to test the chat. Now when you refresh www.yourdomain.com/livehelp you will see a ready to chat button. See detailed operator console installation and usage instructions.

Permissions Requirements:

.netLIVEHELP requires that you grant write permissions on the following files / directories:

1) web.config (file)

2) Database (directory)

3) UploadedFiles (directory)

Application Requirements:

An IIS application is required on the directory which contains your /bin in order for .netLIVEHELP to function. If you deploy the .netLIVEHELP /web files to the root so the /bin directory from the distributions /web directory is now in your web sites root directory it would be using the web sites root application which is created by default and no additional application should be created (although you should confirm the root application is configured for asp.net 2.0). However, if you create a subdirectory like /livehelp and place the files from /web in the distribution into one of these subdirectories you would need to configure an application for the directory in order for .netLIVEHELP to function. If using a virtual directory deployment it will have an application setup on it by default so no additional application should be created.

For install troubleshooting and resolution please see the frequent questions section.


Included Files

Navigation: Server > Installation > Instructions >

Included Files

 Return to chapter overview

The web server deployment includes the following files and directories:

UploadedFiles: A storage location for operator uploaded files and files used in chat.

Images: A folder for images used in the web interface. You are free to change images in this directory.

Database: A directory which the MS Access database will be created in. Write permissions are required on this directory.

bin: Includes the dotnetlivehelp.dll and license key.

js: Includes the required JavaScript files.

css: Includes the CSS for the web style definitions.

The following files may be partially modified by a developer familiar with asp.net:

ChatWindow.aspx: This is main chatting form. It can be modified by user. For example applying own css class for button or panel. Script area should not be modified, only UI customization.

DataExchangeSample.aspx: A sample showing usage of custom data exchange. This can be modified / used as a base. For more information please see the server documentation under installation, custom data exchange.

default.aspx: This is sample of default page with dotnetLIVEHELP content. Page content server script for checking if iis use framework 2.0 version, chat button script and tracking script. This page can be modified and the URL For tracking must be updated if you wish to test or use this feature.

Main.aspx: The main page which includes a sample button and tracking code (must update tracking

error.aspx: This page will be shown if error will be occurred. Can be modified.

RegistrationForm.aspx: This form is used for register customer and for leaving messages by customer. It can be modified.

Transcript.aspx: Is used for sending email transcript and printing. It can be modified.

The following files are used internally and should not be modified or the system will no longer function:

Button.ashx: is used for button scripts and should not be modified.

DataProxy.asmx: Web service. Is used by console application for communication and data exchange. Should not be modified.

DataExchange.ashx: The handler which accepts the communication from the DXService.asmx.

DXService.asmx: The service used by the DataExchangeSample.aspx to communicate to .netLIVEHELP. This can be removed if you are not using Data Exchange.

GetFile.ashx: getting file handler. Is used for getting files( for example chatting files) from UploadedFiles folder. Files can be downloaded with Download Managers. Should not be modified.

Tracking.ashx: Is used for tracking customer. Should not be modified.

web.config: The default web.config that is replaced when first run. Write permissions are required on this file.


Custom Data Exchange

Navigation: Server > Installation >

Custom Data Exchange

 Return to chapter overview

.netLIVEHELP includes an advanced API for data exchange enabling operators to view and edit data shared from a web application independent of .netLIVEHELP. This feature would only be used by experienced developers who wish to enable .netLIVEHELP operators to modify application data in real-time using the operator console. The data exchange application and .netLIVEHELP could be installed in the same or different applications.

Testing the provided Data Exchange API sample:

A sample showing usage of the API is included in the root (DataExchangeSample.aspx). This sample also uses the dotnetLivehelp.Web.dll located in the /bin and the DXService.asmx web service located in the root.

To test from a clean .netLIVEHELP install simply run the DataExchangeSample.aspx page initiate a chat and you will be able to access and modify the data using the console app under customer information, external, custom.

Using Data Exchange Developer API Details:

1) Please add a reference to the dotnetLivehelp.Web.dll library in your project.

2) Create a class that is inherited from the IDataExchange interface (In our sample it is the DExchange class).

The IDataExchange interface has four methods which should be implemented. Please see the DExchange class in the included sample.

i) GetID() this function should return unique key for current customer(in our example it is sessionID).

ii) GetInfo(string id) this function should return customer info in the IDxObject id is key that you return by GetID() function.

iii) UpdateInfo(string id, IDxObject info) this function should have logic for updating the custom info.

iv) GetLivehelpPath() return the path for live help site.

3) Add DXService.asmx to the root of your web application. This file contains the web service declaration (<%@ WebService Language="C#" lass="dotnetLivehelpDX.DXService" %>)

4) Register the data exchange in your page. Here is an example:

protected void Page_Load(object sender, EventArgs e)

{

UserInfo.AddCurrent();

if(!Page.IsPostBack)

dotnetLivehelpDX.DataExchange.Register(typeof(dataExchange.DExchange));

}

The dataExchange.DExchange is name of your custom exchange class. In our sample, "dataExchange" is the namespace and DExchange is classname. This step is used to inform .netLIVEHELP about the external data. This method should be run on a page where you use netLIVEHELP (tracking and chat buttons scripts).

For a complete sample, please see the DataExchangeSample.aspx.

5) In the .netLIVEHELP console app, you can view the custom data exchange by selecting "Info" column in Sessions (Current or Missed,Finished) menu option. When you selected Info, you will see the Customer Information form. In this form, select External/Custom node to see the related data. Using this interface operators can read and edit data which ultimately will be changed on the web application side.

.netCART Integration:

.netLIVEHELP and .netCART work together seamlessly to cart data exchange. This enables operators to view and edit cart data while assisting customers. The API is not required if you are working with .netCART but could be used to tie into your own application or system for data exchange. For full details on configuring .netCART to work with .netLIVEHELP please see the .netCART documentation. If you are not already running .netCART, a free trial is available here.


MailTicket Overview

Navigation: »No topics above this level«

MailTicket Overview

 Return to chapter overview

.netLIVEHELP MailTicket is a complete solution for email based support that is seamlessly integrated with .netLIVEHELP Support Chat. This provides intelligent ticket assignment based on operator loading, dynamic message masking and more.

.netLIVEHELP support suite consists of 2 complete solutions for support. One live chat and support interface and one mail ticket support system.

1) The customer submits an email to the department address as they would any other normal email message using their favourite email client.

2)The server will acquire and log the message to the request thread and assign a ticket number. It will then select an operator based on load and other stickiness settings and send the message on to the best suited operator.

3) The operator checks their email with their favorite email client and replies to the customer email. If they have a delay or issue, the server is keeping track of the elapsed time and may reassigned it to another operator if needed. When the operator replies, it also goes through the server so a full log of the conversation is maintained for archival purposes.

The UI for chat is the console. The UI for tickets is your favorite mail client. Messages are automatically assigned and sent and you respond, the full thread history is maintained in a centralized database and message hand offs occur.

Minimum settings required:

1. Select or create a new department
2. Enable Mail Ticket for that department under the department settings
3. Enter mail account and mail server details for the department. The incoming address is the email that customers will contact for support.
4. Add at least one operator as a member of the department and ensure that operator has a mail address configured and that their mail ticket handling capacity is enabled (note if you wish an operator to handle only tickets or chats for a given department and not both you can set the capacity for the option you wish to disable to zero).

These 3 steps may have been completed after installation when prompted. The server may now be used with .netLIVEHELP Mail Ticket. The department is the main address users would send messages to e.g. support@yourdomain.com or perhaps you have multiple departments, another for sales@yourdomain.com. Each department has its own email box on your mail server. Each operator should be defined with a valid email address and mail tickets will be assigned assuming that operator is a member of the department. To test, simply send a message to the department email address then check the email address of the operator (by default with only the admin operator created after install, the message would be sent to the admin operators email). You can then reply to the message and it will be logged my .netLIVEHELP Mail Ticket and be forwarded back to the customer.

Help topics that have MailTicket settings include Operators, Departments, Mail Ticket Settings and Tickets.


KnowledgeBase Overview

Navigation: »No topics above this level«

KnowledgeBase Overview

 Return to chapter overview

In addition to the real-time live support chat offered by .netLIVEHELP, and the email ticket support provided by .netLIVEHELP MailTicket, user self help is provided with the .netLIVEHELP KnowledgeBase support. A knowledge base is a collection of articles which operators create that answer the most common questions. Users can browser by category or tag, search for articles and get answers to the most common inquries without putting additional load on chat or email support. In addition, .netLIVEHELP operators by email or chat can reply with KB article links to quickly answer customers questions if an article is already in place or they can write a new article and reference that so future customers can utilize the KnowledgeBase to answer that inquiry.

Learn about the web interface or managing the knowledgebase through the operator console.


Web Interface

Navigation: KnowledgeBase Overview >

Web Interface

 Return to chapter overview

The knowledgebase is edited by operators within the console interface but is viewed and searched by customers through a web interface.

To access the web interface link select help, knowledgebase from the console. You can now search for keywords within the knowledgebase articles, browse the category or tags for specific articles or initiate real-time chats if the articles did not answer your inquiry.

If you wish to have your web developer customize the look of the web interface, they can do so by editing the /web/pages/kb and /web/css/kb.


Client (Browser) Chat

Navigation: »No topics above this level«

Client (Browser) Chat

 Return to chapter overview

The client chat interface is a web based thin client that supports AJAX and runs on most browsers with any special plugins or requirements. A downlevel chat client is available for older browsers that don't support AJAX. The goal with the chat client is that regardless of which browser application or version the client uses, that they are able to communnicate with the operator to get live assistance on your site.


Requirements

Navigation: Client (Browser) Chat >

Requirements

 Return to chapter overview

.netLIVEHELP's client chat interface is HTML and Javascript allowing for the widest user base with minimal requirements.

The interface has been explicitly tested on:

IE 5/6/7, Opera, Firefox 1/2, Safari, and Netscape.

There are 2 tiers to the web interface:

1) a postback free AJAX implementation for browsers which support it

2) a frames based down level implementation to ensure even those with the oldest browsers and computer systems will be able to get live help.


Interface

Navigation: Client (Browser) Chat >

Interface

 Return to chapter overview

The web based chat has a simple interface where clients and type and send messages. A the top is an image which you can modify (typically it would be a company logo.

In addition to the company logo image there are images for buttons which allow the user to email or print the chat transcript.

There is also a forms based interface if chat is not available which enables the user to leave a message.

Finally there is a pre-registration form should you require some information from a customer before chat is initiated.


Operator Console

Navigation: »No topics above this level«

Operator Console

 Return to chapter overview

The operator console is the main application .netLIVEHELP operators use to communicate with customers who are visiting your web site.


Installation & Login

Navigation: Operator Console >

Installation & Login

 Return to chapter overview

The operator console is a desktop application with the following requirements:

· Windows Operating System
· .NET Framework 2.0 (if not already installed you can obtain it here).

There is no installation required for the application itself. Simply copy the /console directory which contains the dotnetlivehelp.exe file anywhere on your system and double click the dotnetlivehelp.exe to run the application. To deploy on multiple systems, copy this directory as needed to other computers.

After double clicking the dotnetLIVEHELP.exe you will be prompted for the server URL.

Here you must enter the path to where you installed the server component of .netLIVEHELP.

For example, if this was installed at http://www.yourdomain.com/livehelp you would enter that full address for server URL and select okay. It is also possible to enter an IP address for the server if a domain is not setup for it. If you are not prompted for a server URL it indicates either that the your console has been preconfigured with the server URL or you have already entered it in a previous session. The server URL is saved in the dotnetLIVEHELP.exe.config file created in the directory when the dotnetLIVEHELP.exe file is run from.

Next you will be prompted to login and are presented with fields for username and password. The .netLIVEHELP administrator would provide you with an username and password. By default and admin is created as:

username: admin

password: pass

Enter these values and select the login button.

On the bottom right hand side of your screen, which is the notification area of the windows taskbar, you will see a green figure.

Note: you should change the default admin password before making your .netLIVEHELP installation live. To change the password select: settings, manage, operators and edit the admin operator then enter your new password, new password confirmation and click the "change" button.


Taskbar Icon

Navigation: Operator Console >

Taskbar Icon

 Return to chapter overview

The taskbar icon shows your operator status, notifies you of new chat requests and enables you to launch the .netLIVEHELP interface.

Double click: Opens the .netLIVEHELP interface.

Right click: Provides options to Open (same as double click), change your status (online, away, occupied, offline), and exit (which fully closes .netLIVEHELP on your system).

When a new chat request is made you will see a balloon notification to inform you a new request is waiting. Clicking on this notification will load the chat listing page.


Main Window

Navigation: Operator Console >

Main Window

 Return to chapter overview

When opening the .netHELPHELP interface for the first time you will be presented with a summary list of current sessions. There are also menu options for chat, sessions, settings, and status.


Chat

Navigation: Operator Console > Main Window >

Chat

 Return to chapter overview

A top level menu with options for Operator 2 Operator chat, tracking, statistics, and exit.


Operator

Navigation: Operator Console > Main Window > Chat >

Operator

 Return to chapter overview

Launches the operator to operator chat interface. Here operators can ask each other quick questions and chat between themselves.


Tracking

Navigation: Operator Console > Main Window > Chat >

Tracking

 Return to chapter overview

Tracking provides a session list which enables you to jump to customer information details. It also provides an option for operator initiated chat. By pressing the second button for a listed customer an operator initiated chat will automatically open for the customer without them requesting to chat.


Statistics

Navigation: Operator Console > Main Window > Chat >

Statistics

 Return to chapter overview

Provides text based statistics on operators and departments for a given date range. Statistics are only available to users with admin privileges. Statistics enable you to drill down into relevant data. Underlined links allow you to jump to the appropriate details for a given chat, operator, or customer for more information on it.

Operator statistics include:

· Operator ID
· Name
· Max Sessions (admin selected value for the number of simultaneous chat sessions a given operator can handle.
· Number of sessions
· Active sessions
· answered sessions in period
· min / max / avg chat time in period
· min / mag / avg customer wait time for period

Department statistics include:

· Number of sessions
· Active sessions
· answered sessions in period
· min / max / avg chat time in period
· min / mag / avg customer wait time for period

Department statistics include:

· Active chats (connected, waiting answer, transfered, proactive)
· Failed chats ( denied, not started by absent operator, finished by waiting operator)
· Finished chats (finished by operator, finished by customer, finished by sending email, inactive customer, inactivate operator).


Exit

Navigation: Operator Console > Main Window > Chat >

Exit

 Return to chapter overview

Logs the current user out of the console application and exits completely. This can also be accomplished by right clicking on the taskbar icon and selecting "exit."


Sessions

Navigation: Operator Console > Main Window >

Sessions

 Return to chapter overview

Sessions is the main interface for interacting with users and when the interface is opened you will see a list of current sessions. There are also tabs for missed and finished sessions.


Current

Navigation: Operator Console > Main Window > Sessions >

Current

 Return to chapter overview

Current: A current session indicates someone has requested chat and is now waiting for you to respond. You have a limited amount of time before the session will timeout and the user will be informed that there are no operators to answer their request. The time is configurable by the administrator. In addition, there are advanced options to enable unanswered requests to be sent to another online operator should multiple operators be logged into the system. Options include accept (to start a chat with the customer), deny (to deny chat (the customer would then have an option to leave a message) and info (to view customer properties, additional information collected and tracking details on the customer).

New: Decline option. Deny will stop a request and notify the customer there are no operators and if enabled they will have an option to leave a message. The decline option is different, it acts like the request timed out and assigns it to the next available operator. The decline and deny options are privileges granted by the admin on a per operator basis.


Missed

Navigation: Operator Console > Main Window > Sessions >

Missed

 Return to chapter overview

Missed: A missed session is a request that was not answered. Information is included with missed sessions to indicate the specific reason it was missed. Options include show (to see the request question), email (to reply to the question) and info (to view customer properties, additional information collected and tracking details on the customer).


Finished

Navigation: Operator Console > Main Window > Sessions >

Finished

 Return to chapter overview

Finished: A finished session is complete and available for review purposes. It could be a session that was closed by the customer or the operator and the session status will indicate the reason. Options for finished chat sessions include view (where you can see the full chat transcript), remove (to delete the session) and info (to view customer properties, additional information collected and tracking details on the customer).


Tickets

Navigation: Operator Console > Main Window >

Tickets

 Return to chapter overview

Tickets is the main interface for interacting with email messages / theads and when the interface is opened you will see a list of current messages. There are tabs for active and closed tickets. From this interface you can right click to access menu options for individual tickets including:

Details: to view the full thread of messages, you can access this by double clicking the ticket as well

Close: to close the selected tickets

Stickiness settings: to adjust stickiness options for the selected tickets


Active

Navigation: Operator Console > Main Window > Tickets >

Active

 Return to chapter overview

Provides a listing of active tickets. The primary interface for the .netLIVEHELP MailTicket add-on is the mail client. The operator console is used mainly for reviewing ticket history and reassigning tickets.


Closed

Navigation: Operator Console > Main Window > Tickets >

Closed

 Return to chapter overview

Provides a listing of closed tickets. The primary interface for the .netLIVEHELP MailTicket add-on is the mail client. The operator console is used mainly for reviewing ticket history and reassigning tickets.


Settings

Navigation: Operator Console > Main Window >

Settings

 Return to chapter overview

Settings menu.


Script Wizards

Navigation: Operator Console > Main Window > Settings >

Script Wizards

 Return to chapter overview

Script wizards for departments and tracking.


Departments

Navigation: Operator Console > Main Window > Settings > Script Wizards >

Departments

 Return to chapter overview

The departments wizard enables you to obtain code to insert a chat button reference for a specific department. By default, you can obtain a global chat button (no department). You could use departments to have seperate groups of operators handle sales and support for example.

When you select a department it will display the code for the button for that department (which would, when clicked, initate chat for a specific department). You can copy and past the wizard code from this window.


Tracking

Navigation: Operator Console > Main Window > Settings > Script Wizards >

Tracking

 Return to chapter overview

Displays the tracking code which you can add to any pages in your site to enable the tracking features of .netLIVEHELP and see where they are visiting.

You can copy and past the wizard code from this window into your own page code.


Customer Properties

Navigation: Operator Console > Main Window > Settings >

Customer Properties

 Return to chapter overview

Registration and message properties.


Registration Properties

Navigation: Operator Console > Main Window > Settings > Customer Properties >

Registration Properties

 Return to chapter overview

Registration properties are the values request before a chat starts. It can help to direct the chat request to a correct department and gives information to the operator as to the nature of the chat request. Here you can customize the registration properties or remove them completely.

Special properties include:

· Name
· Email
· Topic
· Departments
· Message Box

You can also add your own text values:

· Text Box
· Text Area
· Drop Down (use a semi-colon ";" to delimit your value list)


Message Properties

Navigation: Operator Console > Main Window > Settings > Customer Properties >

Message Properties

 Return to chapter overview

Message properties are the values requested if a chat is missed and the user is prompted to leave a message. The information is used to respond to the users request.

Special properties include:

· Name
· Email
· Topic
· Departments
· Message Box

You can also add your own text values:

· Text Box
· Text Area
· Drop Down (use a semi-colon ";" to delimit your value list)


Manage

Navigation: Operator Console > Main Window > Settings >

Manage

 Return to chapter overview

Manage departments, operators and canned messages.


Departments

Navigation: Operator Console > Main Window > Settings > Manage >

Departments

 Return to chapter overview

Enables the addition, editing and deletion of departments.

To add a new value click in the blank field and type a department name and hit enter to complete the addition. A secondary window will popup with:

Chat button customization options. These are department specific images for the states including open chat, leave message and closed chat.

You can also manage which users are members belong to the department using the department members checkbox list. At least one operator must be a member of the department.

Mail settings are provided at a department level and are used if there are no operator specific mail settings. If operator level settings are not provided department level settings are used and if neither are provided the global email settings are used.

Use in mail ticket processing: When you select this option, when using mail ticket, mail settings are required for department. These settings will be used for the main account for that department. Mail settings should be defined for the email address your customers will contact for support. Another tab will also appear which enables you to control stickiness settings. Stickiness settings control message routing and include only assigned operator (the message will always stick to the assigned operator regardless of their status), prioritize most messages (the assigned system will attempt to assign the message to the operator that has handled the most number of requests on the ticket), prioritize last response (the system will attempt to assign the message to the operator that responded last on the ticket). Maximim wait time is the amount of time that will be waited before reassigning to the next best matching operator based on the sticky criteria in place.

Autoresponder settings: This section is only used when working with mail ticket functionailty. This enables an optional email to be sent as soon as a customer sends an email, confirming their email was recieved, the ticket information and any other text you wish to include. Both the email subject and body can be customized using templates and tokens to create a custom message immediately when any customer contacts the department.

Email settings are used when sending chat transcripts to users via email as well as when operators respond to messages left through the .netLIVEHELP system via email.

To edit a current department double click on its name or right click and select edit.

To delete a current department right click and select delete.

To add a new derpartment enter it in the blank department name textbox or right click and select add.


Operators

Navigation: Operator Console > Main Window > Settings > Manage >

Operators

 Return to chapter overview

Enables the addition, editing and deletion of operators.

To add a new operator enter their login name (also known as username) in the blank login textbox, if they are an admin user select the admin checkbox and enter the maximum number of sessions they can handle. If you wish to assign an active directory user select the search box to the right of the login field. A page will be provided which enables you to show the first 500 active directory users or filter based on a string included in the active directory username. Note: For using active directory, the check box “Use Active Directory authentication” in Settings-> System Settings ->Login tab must be checked.”

Display name is the name that will display in the customer chat when messages are posted by that operator. If this is not provided, the login name will be used for display name.

Photo can be added which is automatically resized. The photo can be used in canned messages with %operatorPhoto for example in a Greeting canned message.

Email settings are not required, if provided the most specific settings will be used. For example, if provided globally through the system settings mail tab and at the operator level the operator level would be used for that specific operator.

Roles enable limiting the actions possible by the user to those in the defined role. Multiple roles may be selected to grant additional rights.

Concurrent sessions is the maximum number of sessions the operator can handle at one time. This maximum is considered for load balancing between operators. It is important that you consider this setting carefully to prevent loading one operator significantly more than another. To disable and not accept live chats for this operator, set this limit to 0.

Concurrent tickets is the maximum number of tickets the operator can handle at one time. This setting is to email tickets as sessions (above) are to chats. To disable and not accept mail tickets for this operator, set this limit to 0.


Canned Messages

Navigation: Operator Console > Main Window > Settings > Manage >

Canned Messages

 Return to chapter overview

Enables the addition, editing and deletion of canned messages. Canned messages are special prewritten replies the operator can access quickly and easily to save time and typing common answers or phrases over and over.

When adding a canned message you must provide:

Name: The name of the canned message. This will be displayed in the selection dropdown for the operator. You can also use %name to have a canned message appear inline in the text prior to sending the message.

Owner: Canned messages can be defined globally in which case all operators have access to them or for a specific operator. Operator specific canned messages display only for that operator and operators can add their own canned messages to their own private list. In addition to all or operators, canned messages can be defined for a specific department in which case all operators within that department will have access to them.

Type: Canned messages can be used for a variety of purchases. Normal messages are used anytime you want to replace a small amount of text with a larger string to save time and answer customers more quickly. Greeting messages are used when a chat is first initiated. For example a global greeting could say "Hello, my name is %OperatorName. How can I assist you today?" Deny occurs when a chat is denied and enables a custom message for that case. Proactive trigger when a proactive message is accepted. For example, if you had a proactive chat set to trigger if a customer waited on the order page for more than 60 seconds you might want to make the proactive chat canned message for that "Please let us know if you have any questions or need any assistance with your order." When you select proactive you can have it apply to all proactive initiations or just a specific one.

Message: The actual text of the message you wish to display. Tokens are supported and will automatically be replaced by the context appropriate value when the canned message is used. You can select available tokens using the dropdown buttons on the right of the message box.


Images List

Navigation: Operator Console > Main Window > Settings > Manage >

Images List

 Return to chapter overview

.netLIVEHELP allows operators to upload files and images for use in chats. This interface enables deletion of such files. There is also a high level admin setting under settings, timing to enable automatic deletion of all files every x number of days.


Files List

Navigation: Operator Console > Main Window > Settings > Manage >

Files List

 Return to chapter overview

.netLIVEHELP allows operators to upload files and images for use in chats. This interface enables deletion of such files. There is also a high level admin setting under settings, timing to enable automatic deletion of all files every x number of days.


Proactive Chat

Navigation: Operator Console > Main Window > Settings > Manage >

Proactive Chat

 Return to chapter overview

Proactive chat is a system for initiating chats automatically for valuable visitors based on the path (sequence of page requests) or duration (time on a given page).

When adding a Proactive Chat trigger you must specify the name, if it is time or path based.

Time based: Enter the path to the page and number of seconds before proactive chat is triggered on this page.

Path Based: Enter a sequence of paths that must be completed in order to trigger the proactive chat.


Roles

Navigation: Operator Console > Main Window > Settings > Manage >

Roles

 Return to chapter overview

Roles are sets of privileges which control actions possible by operators.

When creating a role you will be prompted for name and description which are for identification purposes only.

The privilege list can include any selection of privileges. When an operator or department is assigned this role, the user or all users in the department will be granted the assigned privileges.

Operators and departments allow the assignment of the role at the time of role creation.


KnowledgeBase

Navigation: Operator Console > Main Window > Settings > Manage >

KnowledgeBase

 Return to chapter overview

For a general overview of the KnowledgeBase please click here.

To add a new category right click on the categories icon and select add category. You will be prompted for a category name and description. Categories are containers for articles that group them logically. Users can then browser specific categories.

To remove a category right click on the category you wish to remove and select the remove option.

To add a new article, right click on the category you wish to add an article to and select add article. You will be prompted for the article title, description, tags (comma delimited) and then the body of the article which supports rich text input with the editor. When completed, select article, save or use teh save icon (disk).

When you add a tag for an article, this will reflect in the tags listing, you can now browse articles by common tags in addition to categories.

To view or search the knowledge base please see the web interface. A quick link is available from the console under help, knowledgebase.


System Settings

Navigation: Operator Console > Main Window > Settings >

System Settings

 Return to chapter overview

Settings for message, mail, transcript, images, messaging, timing, missed, hours.


Message

Navigation: Operator Console > Main Window > Settings > System Settings >

Message

 Return to chapter overview

Enables you to define a custom template for answering messages by email people left when a chat was missed. Tokens can be used which are dynamically replaced with the context values when the message is sent.


Mail

Navigation: Operator Console > Main Window > Settings > System Settings >

Mail

 Return to chapter overview

Global mail settings. These settings will be used if more specific settings are not provided (e.g. operator or department specific mail settings). The hierarchy is as follows global --> department --> operator.


Transcript

Navigation: Operator Console > Main Window > Settings > System Settings >

Transcript

 Return to chapter overview

Transcript mail template. This area enables you to configure the template email format used to send chat transcripts as well as the confirmation message diplayed after the message is sent.


Images

Navigation: Operator Console > Main Window > Settings > System Settings >

Images

 Return to chapter overview

Thumbnail size for images sent to the customer during chat: Determines the size images will be resized to during chat for the thumbnail image view. 0 indicates no resizing so the default of 0 width and 100 height means images will be resized to 100 pixels high and proportional width.

Edit Global Department chat button:

Manage images used for global chat buttons. These can also be set at the department level. View will show the images for a given state (open, leave message, closed) and you can also set two images per state (one for the regular view, the other to be displayed during mouse over / hover).


Messaging

Navigation: Operator Console > Main Window > Settings > System Settings >

Messaging

 Return to chapter overview

Determines the appearance of the text messages as seen in the web based chat client (by the customer). Options include:

Default Customer name: If customer name is not provided this string will be used in the chat for messages from the customer.

Appearance: Determines the font size / color / style of the message text displayed.

Enable Rating: Determines if rating is enabled. If so a request to rate the chat will be displayed to the customer when the chat is closed. The rating will be visible by the admin when the view the chat. By default ratings are out of 10 and will display with 10 stars. You can select lesser numbers for example ratings out of 5 in which would display 5 stars.

Popup: Determines the popup behavior for operator initiated chat. Popup only just uses a popup, if blocked the operator initiated chat will not show to the user. Always use div shows a div prompt that can't be blocked asking user if they will accept the chat and if yet a window pops up based on user action and is not blocked. Popup with failover to div first tries the popup then if it does not work uses the div prompt.

Display Date: Determines if the date is displayed in the messages shown to the customer.

Show "operator is typing": Determines if notification is displayed to the customer when the operator is typing.

Show "customer is typing": Determines if notification is displayed to the operator when the customer is typing.

Max Message Length: Determines the maximum message length allowed.


Timing

Navigation: Operator Console > Main Window > Settings > System Settings >

Timing

 Return to chapter overview

Settings for timing to determine how long no action by a customer indicates the customer has ended the chat session, how long no action by the operator indicates the operator has ended the chat session, the time before a new request is considered unanswered, the time period in days files uploaded operator files should be kept before automatically being deleted, the number of missed chats before an operator will be logged out and if an unanswered message should be transferred to another available operator instead of being sent directly to the leave a message page, the proactive chat request interval in seconds, and the the customer session length in minutes.

The checkbox option determines if unanswered requests will be directly to the next available operator. If not, the customer will get a message indicating that no operators were available to accept their message.

Any setting set to 0 indicates disabled or no limit. Times are in seconds if not otherwise noted.


Missed

Navigation: Operator Console > Main Window > Settings > System Settings >

Missed

 Return to chapter overview

The missed tab enables you to control the actions and behavior for missed chat handling.

Enable leave a message when:

No operator answers a request: this provides a leave a message link in the chat interface should operators be available to chat but fail to answer the chat request before the timing for a new request to be considered unanswered elapses.

No operators are online: This determines the behavior of the chat button when no operators are online. If checked the button will show as a leave a message button.

chat is closed by "hours" settings: this determines if a leave a message button is shown when chat is closed by the hours setting.

Message button and message text: By default a leave a message form is required and fields for this form can be customized using the settings, message properties. If you already have a form or support page / portal you can instead update the link to point to this instead by entering a full URL with the redirect to page option. The redirect in new window option will control if a new window is opened when the link is selected or if it opens in the current browser window. In addition you can control the link text that will show when a customer requests chat and an operator fails to answer it, after the time before a new request is considered unanswered elapses, the customer will be notified no operator is available and provided a link to leave a message. This link will use the text and link provided.

Don't mark a session as missed if no message is left: This controls how the session is reported. If enabled, missed sessions that don't leave a message will not show at all in the missed sessions listing.


Missed Mail

Navigation: Operator Console > Main Window > Settings > System Settings >

Missed Mail

 Return to chapter overview

Missed chats (when no operator answers or no operators are available to answer) will list in the tab, however some operators don't check these and followup in a timely fashion. For this reason, we added missed mail handling, which notifies directly to a master email box. When set, the message left by the customer (the missed chat) will be emailed to the provided name and email using the supplied outgoing SMTP server credentials. Ultimately acting as if the customer emailed the provided address directly.


Hours

Navigation: Operator Console > Main Window > Settings > System Settings >

Hours

 Return to chapter overview

Hours enables you to set operating hours for your .netLIVEHELP support offering. If outside of hours regardless of operators logged into the system the chat buttons will report as closed.

Hours can be set for all departments or on a per department basis.

Hours can be set as always open (the default), the same each day, or customized for each day of the week.

Hours are an additional setting to operator status. For example, if you have fixed hours and wish buttons to reflect that the chat is closed exactly at 6:00pm regardless of the operators logged into the system this feature is useful.

If you just wish to base the open / closed status on operators being available to chat based on operator status then this is the default behavior and the hours settings would not be used.


Page Settings

Navigation: Operator Console > Main Window > Settings > System Settings >

Page Settings

 Return to chapter overview

Enables title and header image customization through the operator console for the registration form, chat window and transcript pages.

Skip registration enables the registration form to never display. In this case, customers will directly see the chat window when clicking to chat instead of first being prompted for their registration form details.


Login

Navigation: Operator Console > Main Window > Settings > System Settings >

Login

 Return to chapter overview

Enables Active Directory Authentication. In this case, .netLIVEHELP attempts to login with the current active directory user. The user must first be configured by the administrator as an operator for this automatically login to function. If the login fails, a login prompt will be provided for manual login.


Mail Ticket Settings

Navigation: Operator Console > Main Window > Settings >

Mail Ticket Settings

 Return to chapter overview

General and mail thread settings.


General

Navigation: Operator Console > Main Window > Settings > Mail Ticket Settings >

General

 Return to chapter overview

Enables the .netLIVEHELP MailTicket functionality to be enabled and disabled. In order to enable the functionailty you would require a license for .netLIVEHELP MailTicket or be working with an active trial license.


Threads

Navigation: Operator Console > Main Window > Settings > Mail Ticket Settings >

Threads

 Return to chapter overview

Mail reciever period (ms): The frequency which the agent polls for messages. Default is 20 seconds.

Mail sender period (ms): The frequency which the agent sends messages in the queue. Default is 20 seconds.

Max. Attempts to send the message: the number of attempts to resend the message if the mail server is not accepting it for any reason.

Max. waiting time for operator response (minutes): At this point, the ticket would be reassigned to another operator.

Inactive operator timeout (minutes): The time that must pass before an operator is considered inactive due to not responsing to an assigned mail ticket. They would no longer be assigned new tickets until logging in again.


Database Settings

Navigation: Operator Console > Main Window > Settings >

Database Settings

 Return to chapter overview

Database type and connection string settings.

MS Access, MS SQL Server, Oracle and MySQL are currently supported for database backends.

At this time Oracle and MySQL support is currently in pre-release.

For high load environments we suggest MS SQL server. MS Access is suitable for testing and low traffic environments.

Note:

When you change databases the new database schema will automatically be created and tested before .netLIVEHELP will change to that database.

When you deploy a new version of .netLIVEHELP and use the same database settings as a previously configured version of .netLIVEHELP the database schema will automatically be updated to the current version.


Console Settings

Navigation: Operator Console > Main Window > Settings >

Console Settings

 Return to chapter overview

Console settings for notifications, messaging, registration and sessions list.


Notifications

Navigation: Operator Console > Main Window > Settings > Console Settings >

Notifications

 Return to chapter overview

Determines if tray notifications are displayed and the behavior of the application when minimized along with the sounds used for notifications and chat session notification behavior. Options include:

Show tray notification: Determines if the tray notification is displayed.

Minimize to tray: Determines if the operator console will minimize to the task bar or not. If enabled it will minimize to the tray saving space on the taskbar for other applications.

Offline Reminder: When going offline and resuming activiting on the machine, this setting will remind you that you are not logged in. This prevents accidentally not being logged in when returning to the desktop.

Sound notification: Enables you to select a preexisting sound or sound file to play on events for new chat session, new customer message and new operator message.

Chat session notification: Show Balloon Tip display a ballon tip from the tray icon indicating a new chat request has been made. If Flashing window is enabled the .netLIVEHELP console titlebar will flash until viewed.


Messaging

Navigation: Operator Console > Main Window > Settings > Console Settings >

Messaging

 Return to chapter overview

Appearance: Displays the message format display for the operator console only (font, font color, size etc). This does not affect the client display or other operators. To change the client (web) display see system settings, messaging.

Display date: determines if the date is included in messages.

Spell Checking: determines if the realtime spell checking is enabled in the operator console instance.

Show "customer is typing": Determines if notification is displayed to the operator when the customer is typing.

Use Tabs: Determines if multiple chat sessions will each have their own windows or if they will docked in one window using tabs.

Send Message by pressing "Enter": In addition you can control if the operator console will submit a message when enter is pressed (this is the default). Unchecking would require that the send button is used to send the message and enter would create a line feed. You can also add a line feed by holding ctrl-enter or shift-enter.

Operator Conposition Font: Determines the font used in the operator message composition window.


Login

Navigation: Operator Console > Main Window > Settings > Console Settings >

Login

 Return to chapter overview

Determines if the last login name is remembered for the operator console. The remember me option enables you to remember both the login and password so subsequent logins are automatic. This option should only be used on a secured desktop deployment as it means anyone running the console from your desktop will gain access to the console without being prompted to login.


Sessions List

Navigation: Operator Console > Main Window > Settings > Console Settings >

Sessions List

 Return to chapter overview

Enables you to set a date value after which sessions will show in the console. When you set a specific date sessions before that date will not display in the sessions list.


Tracking

Navigation: Operator Console > Main Window > Settings > Console Settings >

Tracking

 Return to chapter overview

Configures settings for the Chat, Tracking options.

Maximum number of entries on the tracking form (0 for unlimited). This lists the newest x entries. You can view the details or perform operator initiated chat for any customer listed.

Display time interval (in minutes). For example if you consider a viable session for operator chat within 5 minutes set 5 and sessions active only in the last 5 minutes will display.


Language Settings

Navigation: Operator Console > Main Window > Settings >

Language Settings

 Return to chapter overview

Language settings enables the admin user to customize the web facing strings to customize the provided English strings or create an alternate language version for international use. The admin may also customize the operator console specific strings (seen only in the operator console).

Regular users may also customize the operator facing strings if they wish and such changes will only affect their own console deployment.

Settings for the server are stored server side. Settings for the client (console application) are stored in C:\Documents and Settings\User\Application Data\dotnetLIVEHELP. If you wish to deploy the console to another system with a custom language file please be sure the language file is moved as well.


Console

Navigation: Operator Console > Main Window > Settings > Language Settings >

Console

 Return to chapter overview

Enables you to customize the string values in the console application (desktop exe). This may be done to change the string to meet your needs to completely change the language for your international location and culture requirements.

After making a change please save the changes for them to take effect. Restore default will revert to the original values and all changes will be lost.

Settings for the client (console application) are stored in C:\Documents and Settings\User\Application Data\dotnetLIVEHELP. If you wish to deploy the console to another system with a custom language file that is already created please be sure the language file is copied to the correct path on the new system.


Web

Navigation: Operator Console > Main Window > Settings > Language Settings >

Web

 Return to chapter overview

Enables you to customize the string values in the web facing application (asp.net). This may be done to change the string to meet your needs to completely change the language for your international location and culture requirements.

After making a change please save the changes for them to take effect. Restore default will revert to the original values and all changes will be lost.

The web based language strings are stored on the server side.


Live Operators

Navigation: Operator Console > Main Window > Settings >

Live Operators

 Return to chapter overview

An administrator only option which provides a list of all operators currently live in the system, a count of the number of chats they are currently engaged in and an option to logout any operator. This can be useful if an operator forgets to logout and an admin user can correct that remotely without access to their desktop system.

.netLIVEHELP also offers additional features to prevent absent operators who forget to logout from getting chats and delaying customer response including the ability to logout an operator after x missed chats and the ability to transfer unanswered chats to the next available operator. See timing for more details.

In addition to logging out and user the admin can see a listing of all operators currently logged in and the number of active chats they are engaged in. By clicking on the number of active chats a summary list of chat topics will be displayed. Selecting a topic will show the ID, department, status, registration date, and start date. Selecting monitor will display that chat in real-time with both the operator and customer messages.


Status

Navigation: Operator Console > Main Window >

Status

 Return to chapter overview

Enables you to set your operator status from the following options:

· Online: This indicates you are active and ready to accept chat requests.
· Away: This indicates you are logged into the system but away from your desk and not able to accept requests. Operator to operator chat is still possible but you will not be assigned customer chats.
· Occupied: This indicates you are busy and not able to accept requests. Operator to operator chat is still possible but you will not be assigned customer chats.
· Offline: This indicates you are logged in and the program is still running but you are completely offline.

Note: this can also be set through the taskbar icon using right click, my status.


Customer Information

Navigation: Operator Console > Main Window >

Customer Information

 Return to chapter overview

Customer information is accessible from the "chat, tracking, first view details icon" or from the info option in sessions (current, missed or finished). Values include:

· Provided: Registration or missed property information provided by the customer.
· Collected: IP, hostname, platform, browser, browser language, referrer and user agent information collected on the customer.
· Tracking: Pages viewed along with date/time for that user.
· Chat History: A list of all previous chats by this user with start date / time, department, status and ability to view a transcript.
· External: Includes sections for display and editing of cart (seamless integration with .netCART is provided enabling operators to view and edit customers carts if enabled) and custom data (external data enables secure two way data exchange between .netLIVEHELP and another web based application, even across domain boundaries). For more and configuration / customization please see Custom Data Exchange in the server documentation.


Support

Navigation: »No topics above this level«

Support

 Return to chapter overview

Before contacting support be sure to read the frequent questions listings and review the support policy.


Frequent Questions

Navigation: Support >

Frequent Questions

 Return to chapter overview

Can .netLIVEHELP be used in a traditional ASP script?

No, it requires ASP.NET, for more information please see the system requirements.

Error: “The request failed with HTTP status 404: Not Found.”

when trying to run “.netLiveHelp Operator Console” from start menu is related to creating “dotnetlivehelp” application in IIS 7 or the serverUrl setting in dotnetLIVEHELP\Console\ dotnetlivehelp.exe.config is incorrect.

Resolution:

It can be fixed manually by creating the application and pointing to …/ dotnetLIVEHELP/Web directory. Then, open dotnetLIVEHELP\Console\ dotnetlivehelp.exe.config in notepad and set the correct value for key="ServerUrl". The default is value=”http://localhost:80/dotnetLIVEHELP/” .

Error:

Compiler Error Message: CS0246: The type or namespace name 'dotnetLIVEHELP' could not be found (are you missing a using directive or an assembly reference?)

Source Error:

Line 1: <%@ Page Language="C#" %>

Line 2: <%@ Import namespace="dotnetLIVEHELP.Web"%>

Resolution:

Confirm an application is created on the directory that contains your /bin. Most shared hosting providers will provide a web interface to create an application. If yours does not simply email your host and ask that they setup an application on the directory you deployed the .netLIVEHELP web files, for example, if you copied the web directory into your root then you would need an application configured on /web and the bin directory would be located at /web/bin. If you control the server yourself (dedicated server or in house server) simply open the Internet Information Services Manager from Administrative Tools in the control panel on your server, expand the computer, expand web sites, select the site you deployed the .netLIVEHELP files to, r-click, properties on the directory you deployed to and select the create button under application settings.

Error: .netLIVEHELP exception. MESSAGE: Write permissions are required on the web.config file

Resolution: Write permissions are required on the web.config file. .netLIVEHELP is an ASP.NET 2.0 application which automatically creates its database and enters settings in its web.config file (this is a text based configuration file). NTFS (file level) write permissions are required on this file. Most hosts provide a web based interface for configuring permissions, if using such a host simply grant write permissions on the web.config. If you don't have such an interface contact your host and request that write permissions be granted on that specific file where you deployed the .netLIVEHELP web files e.g. /web/web.config. If you have a dedicated or in house server then navigate to the file using Windows Explorer. Right click, properties, security and add write permissions for the anonymous user context. By default in Windows Server 2003 it is the "Network Service" user. In other windows systems it is the "ASPNET" user by default. When write permissions are granted this error will be resolved.

Error: No .netLIVEHELP button displays when viewing default page in your web deployment.

Resolution: Please open the page in a new browser or refresh. You should see the error message on a subsequent request. The most likely cause is a permissions issue.

Error: .netLIVEHELP exception. MESSAGE: Write permissions are required on the /Database directory

Resolution: Ensure that NTFS (file level) write permissions are granted on the /database directory. Most hosts provide a web based interface for configuring permissions, if using such a host simply grant write permissions on the /database directory. If you don't have such an interface contact your host and request that write permissions be granted on that specific directory where you deployed the .netLIVEHELP web files e.g. /web/database. If you have a dedicated or in house server then navigate to the directory using Windows Explorer. Right click, properties, security and add write permissions for the anonymous user context for that directory. By default in Windows Server 2003 it is the "Network Service" user. In other windows systems it is the "ASPNET" user by default. When write permissions are granted this error will be resolved.

Error: .netLIVEHELP exception. MESSAGE: Write permissions are required on the /UploadedFiles directory

Resolution: Ensure that NTFS (file level) write permissions are granted on the /UploadedFiles directory. Most hosts provide a web based interface for configuring permissions, if using such a host simply grant write permissions on the /UploadedFiles directory. If you don't have such an interface contact your host and request that write permissions be granted on that specific directory where you deployed the .netLIVEHELP web files e.g. /web/UploadedFiles. If you have a dedicated or in house server then navigate to the directory using Windows Explorer. Right click, properties, security and add write permissions for the anonymous user context for that directory. By default in Windows Server 2003 it is the "Network Service" user. In other windows systems it is the "ASPNET" user by default. When write permissions are granted this error will be resolved.

Behavior: .netLIVEHELP chat button shows "Sorry, chat is closed."

Resolution: .netLIVEHELP buttons automatically change status based on operators being logged in available to chat. To see a ready to chat button login using the operator console. You will be prompted for a server address. This is the full address to your .netLIVEHELP deployment e.g. www.yoursite.com/web/ To login as the default user enter "admin" and "pass". You should change the password to a secure value after you login. Once logged in to the operator console load the main the page again and you will see the icon status change and you can initiate a test chat with the operator you just logged in with. Also, ensure the number of max sessions for the operator is greater than zero in order for them to accept chats.

Behavior: The console can't connect to the server. My desktop system requires all access to the internet go through our proxy and the network admin will not provide an exception grant for .netLIVEHELP. What are our options?

Resolution: All proxy settings can be configured in the dotnetLIVEHELP.exe.config file.

For example:

<add key="ProxyAddress" value="http://proxyserver:80/" />

<add key="BypassProxyOnLocal" value="True" />

<add key="UseDefaultProxyCredentials" value="False" />

<add key="ProxyUserName" value="private\user" />

<add key="ProxyPassword" value="pass" />

Option details:

a) "ProxyAddress" – address of the proxy server. The default value is the operating system proxy settings.

b) "BypassProxyOnLocal" - a value that indicates whether to bypass the proxy server for local addresses. By default that value is set to 'False'

c) "UseDefaultProxyCredentials" - value that controls whether the DefaultCredentials are sent with requests. By default that value is set to 'False'.

If you use proxy authentication (should be provided user name and password from settings), that option should be set to 'False'(default value).

d) "ProxyUserName" – username for proxy server.

e) "ProxyPassword" – password for proxy server.

Behavior: Users are prompted to use the preregistration form but I have already authenticated them through our own login system. I don't want to have them login twice.

Resolution: You can disable the preregistration form through the console admin if you wish it to not display it at all; however, then the operators do not have the "provided information" details from the client when checking the info page of a given chat session. Another option if your authentication system exposes the required preregistration details is to set them programmatically. Please see the customauthentication.aspx sample for usage details. In this way you can set the information programmatically, the users are not prompted to provide such details (going straight to the chat queue, and operators still have access to the required information.


Support Policy

Navigation: Support >

Support Policy

 Return to chapter overview

30 days of priority email support is provided with purchase. After this point free support is provided on an as available basis and paid priority per incident support is available for purchase.

Support is offered for evaluations / presales on an as available basis.

Free upgrades are included within 90 days of license purchase. After 90 days paid upgrades are available at a discounted rate depending on the extent of the new features added.


Contacting Support

Navigation: Support >

Contacting Support

 Return to chapter overview

You can contact support by emailing info@dotnetlivehelp.com

Please be sure to include the following information:

· Your orderid provided when you purchased .netLIVEHELP
· A detailed description of your problem
· An exact error message if applicable
· Specifics of your server environment

For information on included support please see the support policy.


Licensing Information

Navigation: »No topics above this level«

Licensing Information

 Return to chapter overview

This chapter includes information on pricing as well as the license agreement.


Pricing & Purchase

Navigation: Licensing Information >

Pricing & Purchase

 Return to chapter overview

.netLIVEHELP is Licensed per site:

.netLIVEHELP Chat Single Site $295: Usage for providing live help chat for a single web site.

.netLIVEHELP MailTicket Single Site $295: Usage for providing live help mail tickets for a single web site.

.netLIVEHELP Support Suite (includes both chat and mail ticket products seamlessly integrated) $395: Usage to provide live help and support chat plus mail ticket support for a single web site. Save $195 with the support suite bundle.

There are no license limits on the number of representatives or departments supported for a given installation of .netLIVEHELP. There are no service based fees charged by .netLIVEHELP to use this product. This is a software solution you install on your own servers or on your current web hosting provider.

When you purchase .netLIVEHELP you are asked to provide your web site address. Your license is bound to this address and allows for the product to work on this site only.

Upgrades: Upgrades are available for free within 90 days of license purchase. After this period upgrades are available for a discounted rate based on the nature and extent of the upgrade.


License Agreement

Navigation: Licensing Information >

License Agreement

 Return to chapter overview

This license agreement is a legal agreement between you and Corporate Web Solutions for .netLIVEHELP. By using this product/key you agree to be bound by the terms of this agreement.

This software/key is protected by national and international copyright laws. This software/key is licensed, not sold.

Granted Rights: This license grants you the right to install this software/key for use on a single (1) web site for the domain specified when your key was purchased. You may serve live help requests only for the licensed web site. This product/key is licensed per site (also known as per domain). The operator console may be installed on any number of desktop systems to interface with the single licensed web site support is being provided to.

Limitations: You may not reverse engineer, decompile, or disassemble .netLIVEHELP. You may not rent or lease this software/key, you may not transfer your rights under this license agreement. A license may not be used for any domain other than that specified at the time of purchase, licenses can not be transfered to different domains. .netLIVEHELP is designed to be used in web sites for real-time chat. .netLIVEHELP is not a development tool and may not be used in any other application outside of a web server environment. .netLIVEHELP may not be integrated with or incorporated into any software product or script sold or offered to any 3rd party. A single .netLIVEHELP license may not be used in an ISP / Mall environment, each site must have its own unique license.

Ownership: Corporate Web Solutions retains ownership of the software/key.

Liability: In no event shall Corporate Web Solutions be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of information or any other pecuniary loss) arising out of the use of inability to use this software/key, even if Corporate Web Solutions has been advised of the possibility of such damages.

Termination: Without prejudice to any other rights, Corporate Web Solutions may terminate this license agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of .netLIVEHELP, any derivative work, and all of its component parts.

General: By installing this software/key you acknowledge that you have read this license agreement, understand it, and agree to be bound by its terms and conditions.


.topic 209470
Only Assigned Operator:  Messages will be sent to the original or currently assigned operator in all cases. If transferred to another operator, the newly transferred operator will take over with the current stickiness setting effectively replacing the original operator for all subsequent assignments.

Prioritize Most Messages: If the originally responding operator is available, the message will be routed to them.  If not available (away, offline, occupied) the message will be assigned to the operator in the message history with the highest number of responses on that issue that is available.  If no operator with previous history is available, the Maximum Wait Time is examined and if it is past, the message is put back into the queue to be assigned to the next available operator.

Prioritize Last Response: Messages will be sent as a priority to the last operator that responded on the ticket.  If the most recent responding operator is not available, the next most recent will be assigned the ticket.  If no operators that have responded to the ticket are available, it will wait the maximum wait time to assign to an operator who has replied.  If the maximum wait time is past, the message is put back into the queue to be assigned to the next available operator.

None: Messages will be assigned to the first available operator.


Using the built-in syntax highlighter

Navigation: »No topics above this level«

Using the built-in syntax highlighter

 Return to chapter overview

Help & Manuals syntax highlighter helps you to format programming source code examples. The highlighter is aware of the code syntax and reserved words of Pascal, C++, Visual Basic and SQL statements.

To format a piece of text in code editor style

1 Select the topic text you want to format.
2 On the tool bar, click the drop down arrow of the syntax highlighter button.
3 From the popup menu, select the appropriate formatting style.

Once you have choosen a formatting style, you can apply the same style again by clicking the syntax highlighter button directly.

See also

Customizing the syntax highligher

Pascal syntax examples

C++ syntax examples

Visual Basic syntax examples

SQL examples


Virtual Directory Creation

Navigation: »No topics above this level«

Virtual Directory Creation

 Return to chapter overview

To create a virtual directory you should complete the following steps:

1) Open the MMC (Microsoft Management Console) also called Internet Services Management or commonly referred to as the IIS administration.

2) You will see a list of snap ins, one of which will be called Internet Information Server. Under this you will see your server name, select this server to view a list of sites running on the server

3) Select the site you wish to add a virtual directory for, right click on this site and select "add application" NOTE: an application is required for a given virtual directory.

4) You will be prompted to enter the alias, this is the name you want to access the content through for example enter "livehelp" and select next

5) You will be promoted to enter the physical path, this is the path where you unpacked .netLIVEHELP, for example "c:\dotnetlivehelp\web" you want to point to the web directory as this directory contains the web samples

6) Select "next" and "finish" on the final page.

Your virtual directory is now setup, and you can load the samples through http://www.yoursiteaddress.com/livehelp/